<div class="flex flex-col flex-auto items-center sm:justify-center min-w-0" style="background-color: #000000;">

  <div class="container mx-auto flex items-top justify-between">
    <div class="flex items-center cursor-pointer" (click)="backButton()"><mat-icon class="mt-6 mb-6 "
        style="color: #FFFFFF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-20"
        style="color: #FFFFFF;">Back</span></div>

    <div class="flex items-center  w-auto">
      <button class="mr-2	"
        style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

      <button class="mr-2	"
        style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

      <button class="mr-2	"
        style="border: 1px solid #0038FF; background-color:#0038FF; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

      <button class="mr-2	"
        style="border: 1px; background-color:#D1D3D4; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

      <button class="mr-2	"
        style="border: 1px; background-color:#D1D3D4; width:46px !important; height: 4px !important; border-radius: 5px;"></button>

    </div>

    <div><mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #000000;">help_outline</mat-icon></div>
  </div>


  <div class="w-full sm:w-auto py-8 px-4 sm:p-12 sm:rounded-2xl">
    <div class="w-full max-w-full sm:w-full mx-auto sm:mx-0">
      <ng-template matStepLabel>Front of your ID</ng-template>
      <div style="text-align:center">
        <div class="custom"></div>
        <webcam class="faceSnapshot" [height]="700" [width]="500" [trigger]="triggerObservable" class="faceSnapshot"
          (imageCapture)="handleImage($event)" *ngIf="showWebcam" [allowCameraSwitch]="allowCameraSwitch"
          [switchCamera]="nextWebcamObservable" (cameraSwitched)="cameraWasSwitched($event)"
          (initError)="handleInitError($event)"></webcam><br>
        <div class="text-white font-Semibold-20 mt-7">Take a selfie</div>
        <div class="text-white font-Regular-16 mt-2.5">To validate your identification card, we need to verify your
          live
          photo.<br>Please ensure that your full face is in the frame.</div>
        <br><br>
        <div class="actionBtn" (click)="triggerSnapshot()" title="Take Picture">
          <img class="px-60" src="assets/icons/snap-cam.svg">
        </div><br>
        <mat-label class="font-Semibold-20 text-white">Click here to take picture</mat-label>
        <br /><br />
        <h4 *ngIf="errors.length > 0">Messages:</h4>
        <ul *ngFor="let error of errors">
          <li>{{ error | json }}</li>
        </ul>
      </div>
    </div>
  </div>
</div>